#
# spec file for package perl-Tie-IxHash
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Tie-IxHash
Version:        1.23
Release:        5.34
%define cpan_name Tie-IxHash
Summary:        ordered associative arrays for Perl
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Tie-IxHash/
Source:         http://www.cpan.org/authors/id/C/CH/CHORNY/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Build)
#BuildRequires: perl(Tie::IxHash)
%{perl_requires}

%description
This Perl module implements Perl hashes that preserve the order in which
the hash elements were added. The order is not affected when values
corresponding to existing keys in the IxHash are changed. The elements can
also be set to any arbitrary supplied order. The familiar perl array
operations can also be performed on the IxHash.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Tue Jun  4 2013 coolo@suse.com
- updated to 1.23
  New method Clear()
  Deleting current element when doing cycle using each will work (test by OLEG, RT#82248)
* Wed Feb 27 2013 coolo@suse.com
- update license to new format
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Thu Mar  4 2010 anicka@suse.cz
- update to 1.22
  * Build.PL added
  * Better META.yml
  * Distribution upgrade
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Sep 28 2005 dmueller@suse.de
- add norootforbuild
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Fri Jul 18 2003 poeml@suse.de
- use install_vendor and new %%perl_process_packlist macro
* Mon Jun 16 2003 ro@suse.de
- added directory to filelist
* Mon May 19 2003 ro@suse.de
- remove perllocal.pod
* Mon May 12 2003 ro@suse.de
- use defattr
* Thu Aug  8 2002 mls@suse.de
- use sitearch macro
* Tue Jul  2 2002 mls@suse.de
- remove race in .packlist generation
* Tue Nov  7 2000 ro@suse.de
- renamed package perl_tie to perl-Tie-IxHash
* Mon Sep 25 2000 ro@suse.de
- fixed filelist
* Mon Sep 25 2000 ro@suse.de
- created package
